/* viernes, 23 de septiembre, 2022 */
/* Font Import */
@import url('https://fonts.googleapis.com/css2?family=Kdam+Thmor+Pro&family=Poppins:ital,wght@0,300;0,600;1,300&family=Roboto&display=swap');

*,
*::before,
*::after {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

/* Custom Properties */
:root {
  /* Properties for light mode(regular) */
  --clr-mainText-light: hsl(0, 0%, 0%);
  --clr-mainBg-light: hsl(0, 0%, 100%);
  --clr-mainBgSecondary-light: hsl(0, 0%, 0%);
  /**********************************/
  /* Properties for dark mode */
  --clr-mainText-dark: hsl(0, 0%, 100%);
  --clr-mainBg-dark: hsl(0, 0%, 0%);
  --clr-mainBgSecondary-dark: hsl(0, 0%, 100%);
  /**********************************/

  /* General selections */
  --clr-mainText: var(--clr-mainText-light);
  --clr-mainBg: var(--clr-mainBg-light);
  --clr-mainBgSecondary: var(--clr-mainBgSecondary-light);

  /* Universal */
  --clr-midGrey: hsl(0, 4%, 44%);
  --clr-liteGrey: hsl(0, 4%, 74%);
  --clr-shellWhite: hsl(0, 22%, 90%);
  --transition250: 250ms ease-in;
  --transition500: 500ms ease-in;
  --border-radius-4: 4px;
  --border-radius-8: 8px;
  --border-radius-100: 100px;
  --box-shad2: 0 1px 10px rgba(0, 0, 0, 0.4);
}

/*** General ***/
html {
  scroll-behavior: smooth;
}
body {
  font-family: 'Arial', 'Poppins', sans-serif;
  line-height: 1.5;
  background-color: var(--clr-shellWhite);
}
ul {
  list-style: none;
  padding-left: 40px;
}
a {
  text-decoration: none;
}
.container {
  margin: 0 auto;
  width: min(900px, 95%);
  background-color: var(--clr-mainBg);
  padding: 2em;
}
.container__side {
  margin: 0 auto;
  width: 100%;
}

/* Typography */
.mode__button-text {
  font-size: 0.8rem;
}

/********** Main **********/
.main__body {
  background-color: rgb(211, 207, 207);
}
.resume__body {
  display: flex;
  /* flex-direction: column; */
  gap: 2em;
}

/* Resume Typography */
.resume__title {
  font-size: 3.25rem;
  text-transform: uppercase;
  letter-spacing: 1.5px;
  line-height: 1.1;
  font-weight: 200;
}
.resume__job-title {
  font-size: 2.5rem;
  color: var(--clr-midGrey);
  font-weight: 200;
  line-height: 2;
}
/* Resume Heading */
.profile__links {
  padding: 0 0 1em 0;
  font-size: 0.8rem;
  display: flex;
  justify-content: space-between;
  gap: 0.5em;
  flex-wrap: wrap;
}

.profile__links p,
.profile__links a {
  color: var(--clr-mainText);
}
.resume__summary {
  width: 60%;
}
.resume__skills {
  width: 35%;
}
.resume__summary-title {
  text-transform: uppercase;
  font-size: 1.2rem;
}
.resume__summary-text,
.jobs__list,
.skills__list {
  margin-bottom: 1.5em;
}
.job-title,
.education__title {
  font-weight: bold;
}
.skills__list {
  padding: 0;
}
.degree__list li {
  margin-bottom: 0.5em;
}
.underline {
  height: 5px;
  background-color: var(--clr-mainBgSecondary);
  margin-bottom: 1.5em;
}
.jobs__list {
  list-style: disc;
}

/************************************/
/* Navigation */
.navigation__side {
  position: fixed;
  top: 0;
  left: 0;
  height: 100%;
  width: 100%;
  background-color: rgba(0, 0, 0, 1);
  transition: var(--transition500);
  transform: translate(-100%);
  z-index: 100;
}
.show-side-menu {
  transform: translate(0);
}
.links__side a {
  color: var(--clr-mainText); /* **************** */
  color: #fff;
  font-size: 2rem;
  text-transform: capitalize;
  display: block;
  padding: 0.25em 0;
  transition: var(--transition250);
}
.links__side a:hover {
  color: var(--clr-midGrey);
}
.header__side {
  position: relative;
  text-align: center;
}
.menu__container {
  display: flex;
  justify-content: flex-end;
  padding: 2em;
}
.navigation__side-nav {
  display: flex;
  justify-content: center;
  margin-top: 2em;
}

/* Buttons */
button {
  background-color: transparent;
  border: none;
  cursor: pointer;
  font-size: 2rem;
}
.header__button-container {
  display: flex;
  align-items: center;
  justify-content: flex-end;
  gap: 2em;
  margin-right: 45px;
  margin-top: 30px;
  padding: 1.2em;
  width: 95%;
  margin: 0 auto;
}
.close__button-container {
  display: flex;
  justify-content: flex-end;
  margin-right: 40px;
  margin-top: 30px;
}
/* Hmburger Menu */
.btn-close {
  color: var(--clr-mainText); /* **************** */
  color: #fff;
}
.menu__button {
  cursor: pointer;
  font-size: 2rem;
  text-decoration: underline;
  text-transform: capitalize;
}

/* Toggle Switch */
.toggle__mode {
  position: relative;
  display: inline-block;
  width: 60px;
  height: 34px;
}
.toggle__mode input {
  opacity: 0;
  width: 0;
  height: 0;
}
.slider {
  position: absolute;
  cursor: pointer;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: var(--clr-midGrey);
  transition: var(--transition250);
}
.slider:before {
  position: absolute;
  content: '';
  height: 26px;
  width: 26px;
  left: 4px;
  bottom: 4px;
  background-color: var(--clr-mainBg); /* **************** */
  background-color: #fff;
  transition: var(--transition250);
}
input:checked + .slider {
  background-color: var(--clr-mainBg); /* **************** */
  background-color: #000;
}
input:checked + .slider:before {
  transform: translateX(26px);
}
.slider.round {
  border-radius: var(--border-radius-100);
}
.slider.round:before {
  border-radius: 50%;
}

/* Media Queries */
@media (max-width: 600px) {
  /* Typography */
  .resume__title {
    font-size: clamp(2rem, 10vw, 8rem);
    text-align: center;
    margin-bottom: 0.5em;
  }
  .resume__job-title {
    font-size: clamp(1rem, 10vw, 6rem);
    text-align: center;
    line-height: 1;
    margin-bottom: 1em;
  }
  .profile__links {
    flex-direction: column;
    align-items: center;
    margin-bottom: 1em;
    font-weight: 900;
    font-size: 1rem;
  }
  .resume__body {
    flex-direction: column;
  }
  .resume__summary {
    width: 100%;
  }
  .resume__skills {
    width: 100%;
  }
  .skills__list {
    display: flex;
    flex-wrap: wrap;
    gap: 0.25em;
  }
  .skills__list li {
    flex-grow: 1;
    border: 1px solid var(--clr-mainBg-dark);
    padding: 0.5em;
    border-radius: 2px;
    background-color: lightgrey;
    text-align: center;
    box-shadow: var(--box-shad2);
  }

  .container {
    padding: 1em;
  }
}
